*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:linear-gradient(
        135deg,
        #090d1a,
        #10182d,
        #151c33
    );

    color:white;

    font-family:
        "Segoe UI",
        sans-serif;

    min-height:100vh;
}

h1,h2,h3{
    font-weight:600;
}

label{
    font-size:.9rem;
}

input,
select,
button{
    font-family:inherit;
}

canvas{
    width:100%;
    border-radius:12px;
}
.vu-meter{

    width:100%;

    height:24px;

    background:#111827;

    border-radius:12px;

    overflow:hidden;

    margin-bottom:20px;
}

.vu-fill{

    width:0%;

    height:100%;

    background:
    linear-gradient(
        90deg,
        #22c55e,
        #eab308,
        #ef4444
    );

    transition:.05s;
}
.login-screen {
    width: 100vw;
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    background: linear-gradient(
        135deg,
        #090d1a,
        #10182d,
        #151c33
    );
}

.login-card {
    width: 400px;

    background: #151c33;

    padding: 40px;

    border-radius: 20px;

    box-shadow:
        0 0 20px rgba(0,229,255,.3),
        0 0 40px rgba(139,92,246,.2);

    display: flex;
    flex-direction: column;

    gap: 15px;

    text-align: center;
}

.login-card h1 {
    color: #00e5ff;
    letter-spacing: 2px;
}

.login-card p {
    color: #a0aec0;
}

.login-card input {
    padding: 14px;

    border: none;

    border-radius: 10px;

    background: #1f2a48;

    color: white;

    outline: none;
}

.login-card button {
    padding: 14px;

    border: none;

    border-radius: 10px;

    cursor: pointer;

    background: #00e5ff;

    color: black;

    font-weight: bold;
}

.login-card button:hover {
    background: #8b5cf6;
    color: white;
}

#authMessage {
    color: #00e5ff;
    font-size: 0.9rem;
}